package com.flyfish.framework.utils;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * map构造器
 *
 * @author wangyu
 */
public class MapBuilder<K, V> {

    // 内部的map
    private final Map<K, V> map = new LinkedHashMap<>();

    /**
     * 构造器
     *
     * @param <K> 键
     * @param <V> 值
     * @return 结果
     */
    public static <K, V> MapBuilder<K, V> builder() {
        return new MapBuilder<>();
    }

    /**
     * 放置参数
     *
     * @param k 键
     * @param v 值
     * @return 结果
     */
    public MapBuilder<K, V> put(K k, V v) {
        this.map.put(k, v);
        return this;
    }

    /**
     * 构建
     *
     * @return 结果
     */
    public Map<K, V> build() {
        return map;
    }
}
