package com.flyfish.framework.annotations;

import com.flyfish.framework.config.WebSecurityConfig;
import com.flyfish.framework.configuration.redis.EnableReactiveRedis;
import org.springframework.context.annotation.Import;
import org.springframework.data.mongodb.repository.config.EnableReactiveMongoRepositories;

import java.lang.annotation.*;

/**
 * 启用自动security配置
 *
 * @author wangyu
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
@Documented
@Import(WebSecurityConfig.class)
@EnableReactiveMongoRepositories(basePackages = "com.flyfish.framework")
@EnableReactiveRedis
public @interface EnableAutoSecurity {
}
