package com.flyfish.framework.service;

import com.flyfish.framework.domain.po.Department;
import com.flyfish.framework.service.impl.BaseServiceImpl;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 部门服务
 *
 * @author wangyu
 */
@Service
public class DepartmentService extends BaseServiceImpl<Department> {

    @Resource
    private MongoOperations mongoOperations;

    /**
     * 获取子部门列表
     *
     * @return 结果
     */
    public List<String> getSubCodes(List<String> parents) {
        Query query = Query.query(Criteria.where("parentId").in(parents));
        query.fields().include("_id");
        return mongoOperations.find(query, Department.class).stream().map(Department::getId)
                .collect(Collectors.toList());
    }
}
